import controlP5.*;
import processing.serial.*;

ControlP5 cp5;
Serial Port; 
PImage bg;
PFont f; 

String textValue = "";

void setup() {
  size(977,376);
  String portName = Serial.list()[2];
  Port = new Serial(this, portName, 9600);
  bg = loadImage("tankbg.png");
  f = createFont("Arial",18,true);
  
  cp5 = new ControlP5(this);
  
  cp5.addTextfield("FirstLine")
     .setPosition(70,50)
     .setSize(200,40)
     .setFont(f)
     .setFocus(true)
     .setColor(color(255,255,255))
     ;
     
  cp5.addTextfield("SecondLine")
     .setPosition(70,130)
     .setSize(200,40)
     .setFont(f)
     .setFocus(true)
     .setColor(color(255,255,255))
     ;
}

void draw() {
  background(bg);
  textFont(f,18);
  fill(255);
  
  text(cp5.get(Textfield.class,"FirstLine").getText(), 780,315);
  text(cp5.get(Textfield.class,"SecondLine").getText(), 780,315);
}

public void FirstLine(String theText) {
  println("1"+theText);
  delay(5000);
  Port.write("1"+theText);  
}

public void SecondLine(String theText) {
  println("2"+theText);
  delay(5000);
  Port.write("2"+theText);  

}
